#ifndef __PINDEFS_H
	#define __PINDEFS_H

/* Port und Pins Servo Steuerung:									*
 * Die Servo-Signalpins hngen direkt an diesen Port-Pins.			*
 * Die Pulse werden mittels eines dedizierten Timers erzeugt, der	*
 * nach 3,27ms berluft. Es steht damit ber den relevanten		*
 * Bereich von 1..2ms eine Auflsung von 79 bit oder 2,3 bei 180	*
 * Stellwinkel.														*/
#define		PRT_SV		PORTB
#define		DDR_SV		DDRB
#define		P_SV0		PB2
#define		P_SV1		PB3
#define		P_SV2		PB4

/* Port and Pin for the SetPos Switch */
#define		PRT_SET		PORTD
#define		PIN_SET		PIND
#define		P_SET		PD0

/* Pin Poti (SetPos) am ADC */
#define		P_SP		PC1

/* Port and Pin for the SavePos Switch */
#define		PRT_SAV		PORTD
#define		PIN_SAV		PIND
#define		P_SAV		PD1

/* Port and Pins servo selection switch */
#define		PRT_SVS		PORTC
#define		PIN_SVS		PINC
#define		P_SVS0		PC2
#define		P_SVS1		PC3
#define		P_SVS2		PC4
#define		P_SVS3		PC5

/* Port und Pin Servo selection enable */
//#define		PRT_SVSE	PINC
//#define		P_SVSE		PC5

/* remote controll incoming */
#define		PRT_RCI		PIND
#define		P_RCI		PD3

/* Debug-LED */
#define		PRT_LED		PORTB
#define		DDR_LED		DDRB
#define		P_LED0		PB0
#define		P_LED1		PB1

#endif
