#ifndef __MAKRODEFS_H
	#define __MAKRODEFS_H

/* Servo outputs en-/disable Makros */
#define		sv_on()		DDR_SV  |=   (1<<P_SV0)|(1<<P_SV1)|(1<<P_SV2)
#define		sv_off()	DDR_SV  &= ~((1<<P_SV0)|(1<<P_SV1)|(1<<P_SV2))


/* Debug-LED Makros */
#define		led_rt_an()	PRT_LED |=  (1<<P_LED0)
#define		led_rt_aus()	PRT_LED &= ~(1<<P_LED0)
#define		led_rt_tgl()	PRT_LED ^=  (1<<P_LED0)
#define		led_gn_an()	PRT_LED |=  (1<<P_LED1)
#define		led_gn_aus()	PRT_LED &= ~(1<<P_LED1)
#define		led_gn_tgl()	PRT_LED ^=  (1<<P_LED1)


/* Timer-Ctrl Makros */
#define		tmr2_on()	TCCR2B = (1<<CS22)|(1<<CS21)
#define		tmr2_off()	TCCR2B = 0;	\
						TCNT2  = 0
#define		tmr0_on()	TCCR0B = (1<<CS02)|(1<<CS00);
#define		tmr0_off()	TCCR0B = 0

/* INT0-Ctrl Makros */
#define		int1_on()	EIMSK = (1<<INT1)
#define		int0_off()	EIMSK = 0


/* Reset the timeout counter and re-enable timer if needed */
#define		timeout_res()	timeout = 0; \
							if(!(TCCR0B&(1<<CS00)))	tmr0_on()

#endif
